Changes between Version 2 and Version 3 of Ticket #3235, comment 8


Ignore:
Timestamp:
Dec 23, 2013, 4:23:05 PM (7 years ago)
Author:
cehoyos
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #3235, comment 8

    v2 v3  
     1 I wish I knew - if I remove {{{--enable libopencv --enable-gnutls}}} or {{{--shlibdir=/usr/lib/x86_64-linux-gnu}}} the bug disappears.
    12{{{
    23$ export LD_LIBRARY_PATH=libavutil/:libavcodec/:libavformat/:libavdevice/:libswscale/:libavfilter/:libswresample/
    3 $ ./configure
     4$ ./configure --enable-libopencv --enable-libpulse --enable-gnutls --shlibdir=/usr/lib/x86_64-linux-gnu --disable-shared --enable-static --extra-libs=-static --extra-cflags=--static
     5ERROR: gnutls not found
     6
     7If you think configure made a mistake, make sure you are using the latest
     8version from Git.  If the latest version fails, report the problem to the
     9ffmpeg-user@ffmpeg.org mailing list or IRC #ffmpeg on irc.freenode.net.
     10Include the log file "config.log" produced by configure as this will help
     11solving the problem.
    412}}}
    5 I was actually thinking of the following (to test):
     13Actually now that I think of it - {{{libopencv}}} and {{{gnutls}}} aren't being compiled from ffmpeg are they? The problem is probably caused in the versions in the debian sid repos.
    614{{{
    7 $ ./configure --enable-shared
    8 $ make ffmpeg
    9 $ export LD_LIBRARY_PATH=libavutil/:libavcodec/:libavformat/:libavdevice/:libswscale/:libavfilter/:libswresample/
    10 $ ./ffmpeg
     15libgnutls-dev 2.12.23-8
     16libgnutls26   2.12.23-8
     17libgnutlsxx27 2.12.23-8
     18libgnutls28   3.2.7-3
     19libopencv-dev 2.4.6.1+dfsg-2
    1120}}}
     21Edit: libopencv just had an update ->
     22{{{
     23libopencv-dev 2.4.6.1+dfsg-2+b1
     24}}}
     25But still here